package integration

import (
	"context"
	"fmt"
	"github.com/stretchr/testify/assert"
	"go.uber.org/zap"
	"penahub.gitlab.yandexcloud.net/pena-services/customer/pkg/customer_clients"
	"testing"
)

func Test_SetVerifyAccount(t *testing.T) {
	logger, err := zap.NewProduction()
	assert.NoError(t, err)
	ctx := context.Background()

	customerClients := customer_clients.NewCustomersClient(customer_clients.CustomersClientDeps{
		Logger:              logger,
		CustomerServiceHost: "localhost:9000",
	})

	account, err := customerClients.SetVerifyAccount(ctx, "64e53ed187392e122e5d3d50", "nko")
	assert.NoError(t, err)
	fmt.Println(account.Status)
	assert.Equal(t, 0, int(account.Status))
}
